// Bibliotheque.h: interface for the Bibliotheque class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BIBLIOTHEQUE_H__C3B1197F_0E47_41C2_ABEB_408D7CEA17BB__INCLUDED_)
#define AFX_BIBLIOTHEQUE_H__C3B1197F_0E47_41C2_ABEB_408D7CEA17BB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Livre.h"
#include "Emprunteur.h"
#include "Bibliothecaire.h"

#define MAX_LIVRE			100
#define MAX_EMPRUNTEUR		100

class Bibliotheque  
{
    Livre			*		listLivre[MAX_LIVRE];
	int						nbLivre;

	Emprunteur		*		listeEmprunteur[MAX_EMPRUNTEUR];
	int						nbEmprunteur;

public:
	Bibliotheque();
	virtual ~Bibliotheque();
	bool ajouterLivre(CString titre, CString isbm);
    bool supprimerLivre(CString isbm);
	void creerListLivre(CComboBox * cbox);
    CString donnerIsbnFromTitre(CString titre);
    bool ajouterEmprunteur(CString _nom, CString _prenom, int _no, CString _rtype, 
		  			       CString _rnom, int _cp, CString _ville );
    bool supprimerEmprunteur(CString nom);
	void creerListEmprunteur(CComboBox * cbox);
};

#endif // !defined(AFX_BIBLIOTHEQUE_H__C3B1197F_0E47_41C2_ABEB_408D7CEA17BB__INCLUDED_)
